Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
Ibexa\Contracts\Core\Repository\Values\User\Limitation\RoleLimitation Class Reference
Inheritance diagram for Ibexa\Contracts\Core\Repository\Values\User\Limitation\RoleLimitation:

## Public Member Functions
| getIdentifier ()
| Returns the limitation identifier (one of the defined constants) or a custom limitation. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
const | IDENTIFIER = 'Role'
Public Attributes inherited from eZ\Publish\API\Repository\Values\User\Limitation
const | CONTENTTYPE = 'Class'
const | LANGUAGE = 'Language'
const | LOCATION = 'Node'
const | OWNER = 'Owner'
const | PARENTOWNER = 'ParentOwner'
const | PARENTCONTENTTYPE = 'ParentClass'
const | PARENTDEPTH = 'ParentDepth'
const | SECTION = 'Section'
const | NEWSECTION = 'NewSection'
const | SITEACCESS = 'SiteAccess'
const | STATE = 'State'
const | NEWSTATE = 'NewState'
const | SUBTREE = 'Subtree'
const | USERGROUP = 'Group'
const | PARENTUSERGROUP = 'ParentGroup'
const | STATUS = 'Status'
| $limitationValues = []

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 13 of file src/contracts/Repository/Values/User/Limitation/RoleLimitation.php.

## Member Function Documentation

## ◆ getIdentifier()

Ibexa\Contracts\Core\Repository\Values\User\Limitation\RoleLimitation::getIdentifier | ( |  | ) |

Returns the limitation identifier (one of the defined constants) or a custom limitation.

Returns
  string

Reimplemented from eZ\Publish\API\Repository\Values\User\Limitation.

Definition at line 17 of file src/contracts/Repository/Values/User/Limitation/RoleLimitation.php.

References Ibexa\Contracts\Core\Repository\Values\User\Limitation\RoleLimitation\IDENTIFIER.

## Member Data Documentation

## ◆ IDENTIFIER

const Ibexa\Contracts\Core\Repository\Values\User\Limitation\RoleLimitation::IDENTIFIER = 'Role'

Definition at line 15 of file src/contracts/Repository/Values/User/Limitation/RoleLimitation.php.

Referenced by Ibexa\Contracts\Core\Repository\Values\User\Limitation\RoleLimitation\getIdentifier().

The documentation for this class was generated from the following file:

- src/contracts/Repository/Values/User/Limitation/RoleLimitation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.